ListNotebookRuns
Lists notebook runs in an Amazon DataZone domain.
Request Syntax
GET /v2/domains/domainIdentifier/notebook-runs?maxResults=maxResults&nextToken=nextToken¬ebookIdentifier=notebookIdentifier&owningProjectIdentifier=owningProjectIdentifier&scheduleIdentifier=scheduleIdentifier&sortOrder=sortOrder&status=status HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- domainIdentifier
-
The identifier of the Amazon DataZone domain in which to list notebook runs.
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36}Required: Yes
- maxResults
-
The maximum number of notebook runs to return in a single call. When the number of notebook runs exceeds the value of
MaxResults, the response contains aNextTokenvalue.Valid Range: Minimum value of 1. Maximum value of 50.
- nextToken
-
When the number of notebook runs is greater than the default value for the
MaxResultsparameter, or if you explicitly specify a value forMaxResultsthat is less than the number of notebook runs, the response includes a pagination token namedNextToken. You can specify thisNextTokenvalue in a subsequent call toListNotebookRunsto list the next set of notebook runs.Length Constraints: Minimum length of 1. Maximum length of 8192.
- notebookIdentifier
-
The identifier of the notebook to filter runs by.
Pattern:
[a-zA-Z0-9_-]{1,36} - owningProjectIdentifier
-
The identifier of the project that owns the notebook runs.
Pattern:
[a-zA-Z0-9_-]{1,36}Required: Yes
- scheduleIdentifier
-
The identifier of the schedule to filter notebook runs by.
Pattern:
[a-zA-Z0-9_-]{1,36} - sortOrder
-
The sort order for the results.
Valid Values:
ASCENDING | DESCENDING - status
-
The status to filter notebook runs by.
Valid Values:
QUEUED | STARTING | RUNNING | STOPPING | STOPPED | SUCCEEDED | FAILED
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"items": [
{
"completedAt": number,
"createdAt": number,
"createdBy": "string",
"domainId": "string",
"id": "string",
"notebookId": "string",
"owningProjectId": "string",
"scheduleId": "string",
"startedAt": number,
"status": "string",
"triggerSource": {
"name": "string",
"type": "string"
},
"updatedAt": number,
"updatedBy": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- items
-
The results of the
ListNotebookRunsaction.Type: Array of NotebookRunSummary objects
- nextToken
-
When the number of notebook runs is greater than the default value for the
MaxResultsparameter, or if you explicitly specify a value forMaxResultsthat is less than the number of notebook runs, the response includes a pagination token namedNextToken. You can specify thisNextTokenvalue in a subsequent call toListNotebookRunsto list the next set of notebook runs.Type: String
Length Constraints: Minimum length of 1. Maximum length of 8192.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request has failed because of an unknown error, exception or failure.
HTTP Status Code: 500
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- UnauthorizedException
-
You do not have permission to perform this action.
HTTP Status Code: 401
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: